package rule.data.engine.basic.handler;

import com.muyu.common.core.text.Convert;
import rule.domain.DataValue;

/**
 * @ClassName DataEngineValueHandler
 * @Description 数据值作用域
 * @Author Chen
 * @Date 2024/8/29 14:41
 */
public class DataEngineValueHandler {
    public static void set(DataValue dataValue) {
        DataEngineHandler.set(dataValue);
    }

    public static DataValue get() {
        return DataEngineHandler.get();
    }

    public static void remove() {
        DataEngineHandler.remove();
    }
    public static Object getValue() {
        return get().getValue();
    }

    public static Integer getIntegerValue() {
        return Convert.toInt(getValue(), null);
    }


}
