package com.muyu.rule.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.common.core.domain.Result;
import rule.domain.RuleEdition;

import java.util.List;

public interface RuleEditionService extends IService<RuleEdition> {
    /**
     * 禁用规则版本
     * @param id
     */
    void disable(Long id);

    /**
     * 禁用规则版本
     * @param id
     */
    void enable(Long id);

    RuleEdition generate(RuleEdition ruleEdition);


    Result<String> measurementList(RuleEdition ruleEdition);
}
